module.exports = {
  endpoint: "https://git.cynarski.pl/api/v1",
  gitAuthor: "Renovate Bot <renovate@cynarski.pl>",
  platform: "gitea",
  onboardingConfigFileName: "renovate.json",
  autodiscover: true,
  autodiscoverTopics: ["managed-by-renovate"],
  recreateWhen: "always",
  reuseExistingBranch: true,
  dependencyDashboard: true,
  onboarding: true,
  prHourlyLimit: 0, // No hourly limit on PRs
  prConcurrentLimit: 20, // Concurrent PR limit
  branchPrefix: "update-deps/",
  labels: ['renovate', 'deps'], // Labels for PRs
  hostRules: [
    {
      "hostType": "github",
      "token": "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"
    }
  ],
  regexManagers: [
    {
      fileMatch: ['^Dockerfile$'],
      matchStrings: [
        '# renovate: datasource=(?<datasource>\\S+) depName=(?<depName>\\S+) versioning=(?<versioning>\\S+)\\s+ENV \\w+=(?<currentValue>v?[\\w\\.\\-]+)'
      ],
      datasourceTemplate: '{{{datasource}}}',
      packageNameTemplate: '{{{depName}}}',
      versioningTemplate: '{{{versioning}}}',
      extractVersionTemplate: "^v(?<version>.*)$"
    }
  ],
};
